ผมใช้ solidworks2007
โดยใช้ macro ช่วยเขียน VB
ตามนี้ครับ

Dim swApp As Object
Dim Part As Object
Dim SelMgr As Object
Dim boolstatus As Boolean
Dim longstatus As Long, longwarnings As Long
Dim Feature As Object
Sub main()

Set swApp = Application.SldWorks

Set Part = swApp.ActiveDoc
Set SelMgr = Part.SelectionManager
Part.AddComponent "D:\Ton\PROJECT\SolidWorks part\1515_SA_T.SLDPRT", -0.02405187802094, 0.01223862594537, 0.004377106381639
Part.AddComponent "D:\Ton\PROJECT\SolidWorks part\1515_SA_A.SLDPRT", -0.04576507937219, -0.01307143917478, 0.08366809777192
Part.ViewZoomtofit2
boolstatus = Part.Extension.SelectByID2("", "FACE", -0.04905794936332, 0.0872386259453, 0.007298050948123, True, 1, Nothing, 0)
boolstatus = Part.Extension.SelectByID2("", "FACE", -0.03216683523561, 0.06192856082515, 0.08602445059211, True, 1, Nothing, 0)
Set Feature = Part.AddMate2(0, 0, False, 0.02531006512015, 0, 0, 0.001, 0.001, 0.001, 0, 0.5235987755983, 0.5235987755983, longstatus, False)
Part.ClearSelection2 True
End Sub

ผมติดตรงคำสั่งนี้ครับ Set Feature = Part.AddMate2(... ) ไม่ทราบว่าในวงเล็บใช้กำหนดค่าอะไรบ้างครับ

ผมจะ assembly mould base ครับ

ไม่ทราบว่ามีใครรู้บ้าง